Skip to main content

@tictactrip/api (2.1453.0)

Download OpenAPI specification:Download

Tictactrip's API service

GetSegmentProviders

Returns all SegmentProviders

Authorizations:
authentication

Responses

Response samples

Content type
application/json
[
  • {
    }
]

GetAllStopGroups

Returns the list of all StopGroups.

Authorizations:
authentication
query Parameters
providerId
number <double>

Responses

Response samples

Content type
application/json
[
  • {
    }
]

GetStopGroup

Returns a StopGroup details.

Authorizations:
authentication
path Parameters
stopGroupGpuid
required
string
Example: g|FRavignon_@spg3vp

Responses

Response samples

Content type
application/json
{
  • "id": "g|FRavignon_@spg3vp",
  • "name": "Avignon Centre",
  • "city": "Avignon",
  • "region": "Provence-Alpes-Côte d’Azur",
  • "country": "FR",
  • "address": "1 rue du centre, 84000, Avignon",
  • "latitude": 43.9408,
  • "longitude": 4.79167,
  • "transportTypes": [
    ],
  • "stopClusters": [
    ]
}

GetAllStopClusters

Returns the list of all StopClusters.

Authorizations:
authentication

Responses

Response samples

Content type
application/json
[
  • {
    }
]

GetStopCluster

Returns a StopCluster details.

Authorizations:
authentication
path Parameters
stopClusterGpuid
required
string
Example: c|FRangers__@gbrw5

Responses

Response samples

Content type
application/json
{
  • "id": "c|FRangers__@gbrw5",
  • "name": "Angers",
  • "city": "Angers",
  • "region": "Pays-de-la-Loire",
  • "country": "FR",
  • "latitude": 47.478419,
  • "longitude": 0.563166,
  • "transportTypes": [
    ],
  • "stopGroups": [
    ]
}

GetAutocomplete

Autocomplete search for stop clusters and stop groups by name. Returns cities and stations matching the query, filtered by the partner's allowed gpuids when applicable. Mirrors the behaviour of the legacy GET /autocomplete route.

Authorizations:
authentication
query Parameters
q
required
string
Example: q=Paris

The search query (e.g. a city name or prefix)

Responses

Response samples

Content type
application/json
[
  • {
    }
]

GetPopularCities

Returns the limit most searched cities within 2 months.

Authorizations:
authentication
path Parameters
limit
required
number <double>
Example: 10

The maximum number of cities to return.

Responses

Response samples

Content type
application/json
[
  • {
    }
]

GetPopularCitiesFromTo

Returns the limit most searched cities for a given direction from/to a city within 2 weeks. Falls back to global top cities if no results are found.

Authorizations:
authentication
path Parameters
direction
required
string (ESearchDirection)
Enum: "from" "to"

Can be either from or to.

uniqueName
required
string
Example: paris

The unique name of the city to be based on.

limit
required
number <double>
Example: 5

The maximum number of cities to return (capped at 10).

Responses

Response samples

Content type
application/json
[
  • {
    }
]

GetResults

Fetch results. Ignore search request that are further than 1800KM.

Authorizations:
authentication
Request Body schema: application/json
originGpuid
required
string
destinationGpuid
required
string
required
Array of objects (IApiInputPassenger)
outboundDate
required
string
returnDate
string
object (IApiTripFilter)

Possible filters for a trip (outbound or return).

object (IApiTripFilter)

Possible filters for a trip (outbound or return).

Responses

Request samples

Content type
application/json
{
  • "originGpuid": "c|FRavignon_@spg6j",
  • "destinationGpuid": "c|FRmarseill@spey6",
  • "passengers": [
    ],
  • "outboundDate": "2021-04-28T00:00:00Z",
  • "returnDate": "2021-04-28T00:00:00Z"
}

Response samples

Content type
application/json
{
  • "trips": {
    },
  • "bundles": [
    ]
}

GetCart

Get a cart by its id and its matching order if it exists.

Authorizations:
authentication
path Parameters
cartId
required
string
Example: 6771146ca0b7432b

Responses

Response samples

Content type
application/json
{
  • "cart": {
    }
}

UpdateCart

Updates a cart with the provided informations. A price lookup is done everytime a cart is patched. Keep in mind that patching a cart with an empty payload WILL NOT reset the cart's data, and will trigger a price lookup with the saved cart's data.

Authorizations:
authentication
path Parameters
cartId
required
string
Request Body schema: application/json
Array of objects (ICartPassenger)
object (ICartCustomer)
segmentAlternatives
object

Responses

Request samples

Content type
application/json
{
  • "passengers": [
    ],
  • "customer": {
    }
}

Response samples

Content type
application/json
{
  • "cart": {
    },
  • "isAvailable": false
}

CreateCart

Creates a cart. Has to contain at least an outbound trip id and minimal passenger information for it to work.

Authorizations:
authentication
Request Body schema: application/json
outboundTripId
required
string
returnTripId
string
Array of objects (ICartPassenger)
object (ICartCustomer)
partnerId
string or null
partnerExternalId
string or null

Matches an id provided from a partner. It is used to keep track of the partner's orders and enables an order match between their system and our own

deviceId
number <double>

Responses

Request samples

Content type
application/json
{
  • "outboundTripId": "1f945779-4d9d-47ae-a711-c32bbcbf7639",
  • "passengers": [
    ]
}

Response samples

Content type
application/json
{
  • "cart": {
    }
}

GetOrder

Retrieves the order from the given cart ID.

Authorizations:
authentication
path Parameters
orderId
required
string
Example: 8bc8557793fe4447

Responses

Response samples

Content type
application/json
{
  • "order": {
    }
}

CreateOrder

Creates an order. It uses the cart's information to build the order from it. The cart must have been patched with customer information and at least one passenger.

Authorizations:
authentication
Request Body schema: application/json
cartId
required
string

Responses

Request samples

Content type
application/json
{
  • "cartId": "6771146ca0b7432b"
}

Response samples

Content type
application/json
{
  • "order": {
    },
  • "priceCentsDiff": 0,
  • "isAvailable": true,
  • "expiresAt": "2022-09-09T13:39:15.533Z"
}

GetDiscountCards

Returns all available discount cards.

Responses

Response samples

Content type
application/json
[
  • {
    },
  • {
    },
  • {
    },
  • {
    },
  • {
    },
  • {
    },
  • {
    }
]

CreateBook

Triggers an asynchronous booking process.

Authorizations:
authentication
path Parameters
orderId
required
string
Example: 8bc8557793fe4447

Responses

Response samples

Content type
application/json
{
  • "order": {
    }
}

DownloadTicket

Download an order Eticket and gives the name provided to the file.

Authorizations:
authentication
path Parameters
orderId
required
string
Example: 8bc8557793fe4447
query Parameters
filename
string
Default: "ticket"
Example: filename=myTicketName

Responses

Response samples

Content type
application/json
"string"

PartnerCancellationConditions

Get cancellation conditions.

Authorizations:
authentication
path Parameters
orderTicketId
required
number <double>

Responses

Response samples

Content type
application/json
{
  • "isCancellable": true,
  • "feeCents": 0,
  • "cutoff": "string",
  • "bookingId": "string",
  • "isRefundedByVoucher": true,
  • "voucherAmountCents": 0
}

PartnerCancelBooking

Authorizations:
authentication
path Parameters
orderTicketId
required
number <double>

The order ticket id

Responses

Response samples

Content type
application/json
{ }